//
//  EDAMCachedAuthentication.h
//  EverNote
//
//  Created by Andrew McGeachie on 1/5/11.
//  Copyright 2011 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "EDAMClient.h"


@interface EDAMCachedAuthentication : NSObject 

/**
 * Time this authentication was received from the server.  Used to determine
 * expiration time.
 */
@property (strong) NSDate * authReceivedAt;


/**
 * The actual authentication result from the server.
 */
@property (strong) EDAMAuthenticationResult * authResult;


@end
