//
//  ENNoteSharingOperation.h
//  MacCoreNote
//
//  Created by Steve White on 6/16/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import "ENSyncOperation.h"

@class ENNoteMO;
@class ENNoteMOID;

extern NSString * const ENNoteSharingOperationDidStartSharingNoteNotification;
extern NSString * const ENNoteSharingOperationDidStopSharingNoteNotification;

@interface ENNoteSharingOperation : ENSyncOperation

+ (ENNoteSharingOperation *) stopSharingOperationForNote:(ENNoteMO *)note;
+ (ENNoteSharingOperation *) startSharingOperationForNote:(ENNoteMO *)note;

@property (strong, nonatomic) NSURL *noteURL;
@property (strong, nonatomic) NSString *notebookGUID;
@property (assign, nonatomic) BOOL stopSharing;
@property (readonly, nonatomic) ENNoteMOID* objectID;

@end
