//
//  ENPreviewItem.h
//  Evernote
//
//  Created by Steve White on 11/8/10.
//  Copyright 2010 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BNRDataBuffer.h"

@class ENPreviewManager;

@interface ENPreviewItem : NSObject

@property (weak, nonatomic) ENPreviewManager *previewManager;
@property (assign, nonatomic) BOOL rebuildWhenLocal;

- (id) initWithContentFromBuffer:(BNRDataBuffer *)dataBuffer;
- (BOOL) readContentFromBuffer:(BNRDataBuffer *)dataBuffer;
- (void) writeContentToBuffer:(BNRDataBuffer *)dataBuffer;
- (BOOL) integrityCheck;

@end
