//
//  ENReverseGeocodingResult.h
//  Evernote
//
//  Created by Steve White on 11/23/09.
//  Copyright 2009 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ENReverseGeocodingResult : NSObject 

@property (strong, nonatomic) NSString *city;
@property (strong, nonatomic) NSString *country;
@property (assign, nonatomic) BOOL invalidLocation;

+ (ENReverseGeocodingResult *) geocodingResultFromPlacemark:(id)placemark;
+ (ENReverseGeocodingResult *) invalidGeocodingResult;

@end
