#ifndef ENSavedSearchMO_HEADER_GUARD
#define ENSavedSearchMO_HEADER_GUARD

#import "_ENSavedSearchMO.h"
#import <EDAM/EDAM.h>

typedef enum {
  ENSavedSearchScopeAccount       = 1 << 0,
  ENSavedSearchScopePersonalLinks = 1 << 1,
  ENSavedSearchScopeBusinessLinks = 1 << 2,
  ENSavedSearchScopeEverywhere    = (1 << 3)-1 // Convenience value for all bits set.
} ENSavedSearchScopeOption;

@interface ENSavedSearchMO : _ENSavedSearchMO {}


- (void) setScopeOptionFromEDAMScope: (EDAMSavedSearchScope *) serverScope;


@end

#endif
