//
//  ENCardScanDefines.h
//  ENCardScan
//
//  Created by Tong Liu on 8/7/13.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

extern NSString *const ENCardScanErrorDomain;
extern NSString *const ENCardScanUnderlyingErrorKey;

typedef NS_ENUM(NSInteger, ENCardScanError) {
  ENCardScanErrorUnknown = 0,
  ENCardScanErrorMissingServerURL, // CardScan server url is not set
  ENCardScanErrorNetwork,          // generic network error
  ENCardScanErrorInvalidData,      // network request is sucessful, but somehow we can't decode valid xml result
  ENCardScanErrorCannotParse       // this is usually caused by cardagain service giving us a malformated xml respnose due to incorrect auth token. if this happens, there'll always be a network error
};