//
//  ENSharedConstants.h
//  ENSharedUtilities
//
//  Created by Andrew McGeachie on 2/21/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>


extern NSString * const kRecoDataFileExtension;
extern NSString * const kEvernoteHTMLWebArchiveUTI;
extern NSString * const kEvernoteHTMLWebArchiveMimeType;

// DEPRECATED:dholtwick:2014-06-09 
extern NSString * const kENTODOEmbedMIMEType;
extern NSString * const kENTODOCheckedAttributeName;

// Note Parser contact info keys
extern NSString * const kENNoteParserContactKeyFullName;            // value is NSString
extern NSString * const kENNoteParserContactKeyAvatarHash;          // value is NSString of a hash of ENResourceMO
extern NSString * const kENNoteParserContactKeyCardHashArray;       // value is NSArray of hashes of ENResourceMO
extern NSString * const kENNoteParserContactKeyJobTitle;            // value is NSString
extern NSString * const kENNoteParserContactKeyCompany;             // value is NSString
extern NSString * const kENNoteParserContactKeyEmailArray;          // value is NSArray of @[label, info]
extern NSString * const kENNoteParserContactKeyPhoneArray;          // value is NSArray of @[label, info]
extern NSString * const kENNoteParserContactKeyTwitterArray;        // value is NSArray
extern NSString * const kENNoteParserContactKeySinaWeiboArray;      // value is NSArray
extern NSString * const kENNoteParserContactKeyLinkedInProfile;     // value is NSString
extern NSString * const kENNoteParserContactKeyFacebookProfile;     // value is NSString
extern NSString * const kENNoteParserContactKeyAddress;             // value is NSString
extern NSString * const kENNoteParserContactKeyAdditionalNote;      // value is NSString

// Spotlight Indexing
extern NSString * const kENNoteSpotlightMetadataFileExtension;
extern NSString * const kENNoteSpotlightMetadataFileUTI;
// A directory the importer uses to traverse the URL structure
extern NSString * const kENNoteSpotlightMetadataSpecialDirname;
extern NSString * const kENNoteSpotlightMetadataSupportDirname;
extern NSString * const kENNoteSpotlightMetadataModelFilename;
extern NSString * const kENNoteSpotlightMetadataStoreFilename;

@interface ENSharedConstants : NSObject


/**
 * Our index stop words
 */
+ (NSSet *) indexStopWords;

@end
