//
//  ENTextStorage.h
//  ENSharedUtilities
//
//  Created by Zdzislaw Losvik on 07/02/2013.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ENQuickNote;

@interface ENTextStorage : NSTextStorage
{
  NSMutableAttributedString *mAttributedString;
  ENQuickNote *mQuickNote;
  NSFont *mQuickNoteFont;
}

@property (nonatomic, retain) ENQuickNote *quickNote;
@property (nonatomic, retain) NSFont *quickNoteFont;

@end
