//
//  ENGlobals.h
//  CoreNote
//
//  Created by Steve White on 10/12/11.
//  Copyright 2011 Evernote Corporation. All rights reserved.
//


#if DEBUG || INTERNAL_BUILD
#    define DebugStartTime() CFAbsoluteTime saveStart = CFAbsoluteTimeGetCurrent()
#    define DebugEndTime() NSLog(@"%s processing time: %f", __PRETTY_FUNCTION__, CFAbsoluteTimeGetCurrent() - saveStart)
#else
#    define DebugStartTime() {}
#    define DebugEndTime() {}
#endif

#define RaiseENInvalidAbstractInvocation() ENInvalidAbstractInvocation(_cmd, self)


extern NSString *NSStringFromBoolean(BOOL value);

void ENInvalidAbstractInvocation(SEL selector,id object);
void SystemVersion(int *majorVersion, int *minorVersion, int *bugFixVersion);
