//
//  ENNotePreviewItem.h
//  Evernote
//
//  Created by Steve White on 6/17/11.
//  Copyright 2011 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "ENResourceMO.h"
#import "ENPreviewItem.h"
#import "ENResourcePreviewItem.h"

extern uint8_t const ENNotePreviewItemMaxImagePreviews;
extern CGFloat const ENNotePreviewItemThresholdForLargePreview;

@interface ENNotePreviewItem : ENPreviewItem

@property (nonatomic) uint32_t noteUpdateSequenceNumber;
@property (nonatomic) BOOL hasSpecialImages;
@property (strong, nonatomic) NSString *textualSnippet;
#if defined(PRESERVE_SNIPPET_LISTS) && PRESERVE_SNIPPET_LISTS == 1
@property (strong, nonatomic) NSArray *listLineRanges;
#endif
@property (strong, nonatomic) NSArray *resourceItems;

- (void) addResourceItem:(ENResourcePreviewItem *)resourceItem;

@end
