//
//  NSFileManager+XAttr.h
//  Evernote
//
//  Created by Steve White on 11/4/11.
//  Copyright (c) 2011 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSFileManager (XAttr)
- (void) setShouldSkipBackupAttribute:(BOOL)skipBackup
                         toItemAtPath:(NSString *)path;
- (BOOL) shouldSkipBackupAttributeOfItemAtPath:(NSString *)path;

@end
