//
//  ENQuickNoteFileCell.h
//  EvernoteHelper
//
//  Created by Zdzislaw Losvik on 24/01/2013.
//
//

#import "ENQuickNoteAttachmentCell.h"

@interface ENQuickNoteFileCell : ENQuickNoteAttachmentCell
{
  NSView *mCellView;
  NSRect mLastCellFrame;

  NSString *mTitleString;
  NSString *mDetailString;

  NSRect mButtonFrame;
  NSImage *mButtonImage;
  NSImage *mButtonAltImage;
  id mButtonTarget;
  SEL mButtonAction;
  BOOL mButtonHighlighted;
}

@property (nonatomic, retain) NSString *titleString;
@property (nonatomic, retain) NSString *detailString;

@property (nonatomic, retain) NSImage *buttonImage;
@property (nonatomic, retain) NSImage *buttonAltImage;
@property (nonatomic, assign) id buttonTarget;
@property (nonatomic, assign) SEL buttonAction;
@property (nonatomic, assign) BOOL buttonHighlighted;

@end
